HUM 1.0 unable to compile ISDN-MIB

Answered Question
May 29th, 2009
User Badges:

I have installed evaluation copy of HUM 1.0 in LMS 3.0 to try if it can monitor ISDN PRI DS0 usage on a Cisco 3845 voice gateway. I downloaded the ISDN-MIB and all the dependencies from Cisco.com but when I complie them according to the order specified,I got "Unable to load the MIB file. Either you are trying to load an invalid MIB file or the dependant MIB files are not available in the path" when I reach RFC1213-MIB and ISDN-MIB. What can I do to get this issue resolved? does it mean I have to buy license to the HUM?


best regards,


Abebe Amare

Network Engineer, VivaCell

Correct Answer by Joe Clarke about 7 years 9 months ago

Try loading this version.



  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Joe Clarke Fri, 05/29/2009 - 07:57
User Badges:
  • Cisco Employee,
  • Hall of Fame,

    Founding Member

You need to make sure that all of the required MIBs are loaded first. For the ISDN-MIB, those are:


SNMPv2-SMI

SNMPv2-TC

SNMPv2-CONF

IF-MIB

IANAifType-MIB

RFC1213-MIB

RFC1155-SMI

RFC-1212

SNMPv2-MIB


If, after loading those, you still see an error, check the upm_base.log, and the reason for the error will be seen there.

cisabucho Tue, 06/02/2009 - 23:44
User Badges:

Dear JClark,

Thank you very much for your invaluable input. I loaded the MIBs you mentioned except RFC-1212.Getting the right non-Cisco RFC MIB proved difficult. They differ depending where you get them. I loaded RFC-1213 without loading RFC-1212, which should be a dependency. But I could not load the ISDN-MIB. I have attahced the upm_base.log file.




Attachment: 
cisabucho Wed, 06/03/2009 - 00:33
User Badges:

Dear JClarke,


Thanks a lot. That solved my problem.


Best Regards,


Abebe Amare

Network Engineer, VivaCell

Actions

This Discussion